org.eclipse.incquery.runtime.localsearch.operations.extend

## Class ExtendToEStructuralFeatureTarget

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation<java.lang.Object>
  - - org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendToEStructuralFeatureTarget

- All Implemented Interfaces:
    ISearchOperation

      public class ExtendToEStructuralFeatureTarget
      extends ExtendOperation<java.lang.Object>

  Iterates over all sources of `EStructuralFeature` using an `EMF-IncQuery Base indexer`. It is assumed that the indexer is initialized for the selected `EStructuralFeature`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendToEStructuralFeatureTarget(int sourcePosition, int targetPosition, org.eclipse.emf.ecore.EStructuralFeature feature)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `void` | `onInitialize(MatchingFrame frame, ISearchContext context)` During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation

      `execute, onBacktrack`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendToEStructuralFeatureTarget

          public ExtendToEStructuralFeatureTarget(int sourcePosition,
                                                  int targetPosition,
                                                  org.eclipse.emf.ecore.EStructuralFeature feature)

  - ### Method Detail

    - #### onInitialize

          public void onInitialize(MatchingFrame frame,
                                   ISearchContext context)
                            throws LocalSearchException

      Description copied from interface: `ISearchOperation`
      During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin. Operations may use this method to initialize its internal data structures.
      Throws:
        `LocalSearchException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Returns:
        the ordered list of the variable numbers that are affected by the search operation